# Action Attempts

## The action\_attempt Object

* [Properties](#properties)
* [Events](#events)

Represents an attempt to perform an action against a device.

***

## Properties

**`action_attempt_id`** *UUID*

ID of the action attempt.

***

**`status`** *Enum*

Status of the action attempt.

<details>

<summary>Enum values</summary>

* `pending`
* `success`
* `error`

</details>

***

**`action_type`** *Enum*

Type of the action attempt.

<details>

<summary>Enum values</summary>

* `LOCK_DOOR`
* `UNLOCK_DOOR`
* `SCAN_CREDENTIAL`
* `ENCODE_CREDENTIAL`
* `RESET_SANDBOX_WORKSPACE`
* `SET_FAN_MODE`
* `SET_HVAC_MODE`
* `ACTIVATE_CLIMATE_PRESET`
* `SIMULATE_KEYPAD_CODE_ENTRY`
* `SIMULATE_MANUAL_LOCK_VIA_KEYPAD`
* `PUSH_THERMOSTAT_PROGRAMS`
* `CONFIGURE_AUTO_LOCK`

</details>

***

**`error`** *Object*

Error associated with the action attempt. Null for pending and successful action attempts.

***

**`result`** *Object*

Result of the action attempt. Null for pending and errored action attempts.

***

## Events

**`action_attempt.lock_door.succeeded`**

A lock door [action attempt](https://docs.seam.co/latest/core-concepts/action-attempts) succeeded.

<details>

<summary>Properties</summary>

**`action_attempt_id`** *UUID*

ID of the affected action attempt.

**`action_type`** *String*

Type of the action.

**`connected_account_id`** *UUID*

ID of the connected account associated with the action attempt, if applicable.

**`created_at`** *Datetime*

Date and time at which the event was created.

**`device_id`** *UUID*

ID of the device associated with the action attempt, if applicable.

**`event_id`** *UUID*

ID of the event.

**`event_type`** *Enum*

Value: `action_attempt.lock_door.succeeded`

**`occurred_at`** *Datetime*

Date and time at which the event occurred.

**`status`** *String*

Status of the action.

**`workspace_id`** *UUID*

ID of the [workspace](https://docs.seam.co/latest/core-concepts/workspaces) associated with the event.

</details>

***

**`action_attempt.lock_door.failed`**

A lock door [action attempt](https://docs.seam.co/latest/core-concepts/action-attempts) failed.

<details>

<summary>Properties</summary>

**`action_attempt_id`** *UUID*

ID of the affected action attempt.

**`action_type`** *String*

Type of the action.

**`connected_account_id`** *UUID*

ID of the connected account associated with the action attempt, if applicable.

**`created_at`** *Datetime*

Date and time at which the event was created.

**`device_id`** *UUID*

ID of the device associated with the action attempt, if applicable.

**`event_id`** *UUID*

ID of the event.

**`event_type`** *Enum*

Value: `action_attempt.lock_door.failed`

**`occurred_at`** *Datetime*

Date and time at which the event occurred.

**`status`** *String*

Status of the action.

**`workspace_id`** *UUID*

ID of the [workspace](https://docs.seam.co/latest/core-concepts/workspaces) associated with the event.

</details>

***

**`action_attempt.unlock_door.succeeded`**

An unlock door [action attempt](https://docs.seam.co/latest/core-concepts/action-attempts) succeeded.

<details>

<summary>Properties</summary>

**`action_attempt_id`** *UUID*

ID of the affected action attempt.

**`action_type`** *String*

Type of the action.

**`connected_account_id`** *UUID*

ID of the connected account associated with the action attempt, if applicable.

**`created_at`** *Datetime*

Date and time at which the event was created.

**`device_id`** *UUID*

ID of the device associated with the action attempt, if applicable.

**`event_id`** *UUID*

ID of the event.

**`event_type`** *Enum*

Value: `action_attempt.unlock_door.succeeded`

**`occurred_at`** *Datetime*

Date and time at which the event occurred.

**`status`** *String*

Status of the action.

**`workspace_id`** *UUID*

ID of the [workspace](https://docs.seam.co/latest/core-concepts/workspaces) associated with the event.

</details>

***

**`action_attempt.unlock_door.failed`**

An unlock door [action attempt](https://docs.seam.co/latest/core-concepts/action-attempts) failed.

<details>

<summary>Properties</summary>

**`action_attempt_id`** *UUID*

ID of the affected action attempt.

**`action_type`** *String*

Type of the action.

**`connected_account_id`** *UUID*

ID of the connected account associated with the action attempt, if applicable.

**`created_at`** *Datetime*

Date and time at which the event was created.

**`device_id`** *UUID*

ID of the device associated with the action attempt, if applicable.

**`event_id`** *UUID*

ID of the event.

**`event_type`** *Enum*

Value: `action_attempt.unlock_door.failed`

**`occurred_at`** *Datetime*

Date and time at which the event occurred.

**`status`** *String*

Status of the action.

**`workspace_id`** *UUID*

ID of the [workspace](https://docs.seam.co/latest/core-concepts/workspaces) associated with the event.

</details>

***

**`action_attempt.simulate_keypad_code_entry.succeeded`**

A simulate keypad code entry [action attempt](https://docs.seam.co/latest/core-concepts/action-attempts) succeeded.

<details>

<summary>Properties</summary>

**`action_attempt_id`** *UUID*

ID of the affected action attempt.

**`action_type`** *String*

Type of the action.

**`connected_account_id`** *UUID*

ID of the connected account associated with the action attempt, if applicable.

**`created_at`** *Datetime*

Date and time at which the event was created.

**`device_id`** *UUID*

ID of the device associated with the action attempt, if applicable.

**`event_id`** *UUID*

ID of the event.

**`event_type`** *Enum*

Value: `action_attempt.simulate_keypad_code_entry.succeeded`

**`occurred_at`** *Datetime*

Date and time at which the event occurred.

**`status`** *String*

Status of the action.

**`workspace_id`** *UUID*

ID of the [workspace](https://docs.seam.co/latest/core-concepts/workspaces) associated with the event.

</details>

***

**`action_attempt.simulate_keypad_code_entry.failed`**

A simulate keypad code entry [action attempt](https://docs.seam.co/latest/core-concepts/action-attempts) failed.

<details>

<summary>Properties</summary>

**`action_attempt_id`** *UUID*

ID of the affected action attempt.

**`action_type`** *String*

Type of the action.

**`connected_account_id`** *UUID*

ID of the connected account associated with the action attempt, if applicable.

**`created_at`** *Datetime*

Date and time at which the event was created.

**`device_id`** *UUID*

ID of the device associated with the action attempt, if applicable.

**`event_id`** *UUID*

ID of the event.

**`event_type`** *Enum*

Value: `action_attempt.simulate_keypad_code_entry.failed`

**`occurred_at`** *Datetime*

Date and time at which the event occurred.

**`status`** *String*

Status of the action.

**`workspace_id`** *UUID*

ID of the [workspace](https://docs.seam.co/latest/core-concepts/workspaces) associated with the event.

</details>

***

**`action_attempt.simulate_manual_lock_via_keypad.succeeded`**

A simulate manual lock via keypad [action attempt](https://docs.seam.co/latest/core-concepts/action-attempts) succeeded.

<details>

<summary>Properties</summary>

**`action_attempt_id`** *UUID*

ID of the affected action attempt.

**`action_type`** *String*

Type of the action.

**`connected_account_id`** *UUID*

ID of the connected account associated with the action attempt, if applicable.

**`created_at`** *Datetime*

Date and time at which the event was created.

**`device_id`** *UUID*

ID of the device associated with the action attempt, if applicable.

**`event_id`** *UUID*

ID of the event.

**`event_type`** *Enum*

Value: `action_attempt.simulate_manual_lock_via_keypad.succeeded`

**`occurred_at`** *Datetime*

Date and time at which the event occurred.

**`status`** *String*

Status of the action.

**`workspace_id`** *UUID*

ID of the [workspace](https://docs.seam.co/latest/core-concepts/workspaces) associated with the event.

</details>

***

**`action_attempt.simulate_manual_lock_via_keypad.failed`**

A simulate manual lock via keypad [action attempt](https://docs.seam.co/latest/core-concepts/action-attempts) failed.

<details>

<summary>Properties</summary>

**`action_attempt_id`** *UUID*

ID of the affected action attempt.

**`action_type`** *String*

Type of the action.

**`connected_account_id`** *UUID*

ID of the connected account associated with the action attempt, if applicable.

**`created_at`** *Datetime*

Date and time at which the event was created.

**`device_id`** *UUID*

ID of the device associated with the action attempt, if applicable.

**`event_id`** *UUID*

ID of the event.

**`event_type`** *Enum*

Value: `action_attempt.simulate_manual_lock_via_keypad.failed`

**`occurred_at`** *Datetime*

Date and time at which the event occurred.

**`status`** *String*

Status of the action.

**`workspace_id`** *UUID*

ID of the [workspace](https://docs.seam.co/latest/core-concepts/workspaces) associated with the event.

</details>

***

## Endpoints

[**`/action_attempts/get`**](/latest/api/action_attempts/get.md)

Returns a specified [action attempt](https://docs.seam.co/latest/core-concepts/action-attempts).

[**`/action_attempts/list`**](/latest/api/action_attempts/list.md)

Returns a list of the [action attempts](https://docs.seam.co/latest/core-concepts/action-attempts) that you specify as an array of `action_attempt_id`s.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.seam.co/latest/api/action_attempts.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
